package com.zt.plat.module.qms.resource.material.enums;

import lombok.Getter;

@Getter
public enum MaterialAssayStatus {

    not_start("未开始"),

    in_progress("进行中"),

    completed("已完成"),
    ;

    private final String name;

    MaterialAssayStatus(String name) {
        this.name = name;
    }

    public static MaterialAssayStatus fromName(String name) {
        for (MaterialAssayStatus type : MaterialAssayStatus.values()) {
            if (type.getName().equals(name)) {
                return type;
            }
        }
        throw new IllegalArgumentException("No enum constant with name: " + name);
    }
}
